diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 5e40e3e..3f6fae6 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -57189,7 +57189,7 @@ ComplexCategory(R:CommutativeRing): Category ==
                solveLinearPolynomialEquation(lp,p)$ComplexIntegerSolveLinearPolynomialEquation(R,%)
           normPolynomial: Sup -> SupR
           normPolynomial pp ==
-              map(retract(#1@%)::R,pp * map(conjugate,pp))
+              map(z+->retract(z@%)::R,pp * map(conjugate,pp))
           factorPolynomial pp ==
               refine(squareFree pp,factorSquareFreePolynomial)
           factorSquareFreePolynomial pp ==
@@ -57205,7 +57205,7 @@ ComplexCategory(R:CommutativeRing): Category ==
               lF:List Record(flg:Union("nil", "sqfr", "irred", "prime"),
                              fctr:Sup, xpnt:Integer):=[]
               for u in factorList fR repeat
-                  p1:=map((#1@R)::%,u.fctr)
+                  p1:=map((z:R):%+->z::%,u.fctr)
                   if not zero? k then
                      p1:=elt(p1,monomial(1,1)+monomial(complex(0,k),0))
                   p2:=gcd(p1,pp)
diff --git a/changelog b/changelog
index 194762f..a4c0973 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090511 tpd src/axiom-website/patches.html 20090511.15.tpd.patch
+20090511 tpd books/bookvol10.2 COMPCAT +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.14.tpd.patch
 20090511 tpd books/bookvol10.4 COMBF +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.13.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index cc156eb..b75308c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1242,5 +1242,7 @@ bookvol10.2 MONOGEN +-> conversion<br/>
 bookvol10.3 GDMP +-> conversion<br/>
 <a href="patches/20090511.14.tpd.patch">20090511.14.tpd.patch</a>
 bookvol10.4 COMBF +-> conversion<br/>
+<a href="patches/20090511.15.tpd.patch">20090511.15.tpd.patch</a>
+bookvol10.2 COMPCAT +-> conversion<br/>
  </body>
 </html>
